Subject: Re: linux-next: manual merge of the staging tree with the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 17 May 2018 07:06:57 -0300

Em Thu, 17 May 2018 14:17:27 +1000
Stephen Rothwell <[email-masked]> escreveu:

> Hi all,
> 
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   drivers/staging/media/atomisp/TODO
> 
> between commit:
> 
>   51b8dc5163d2 ("media: staging: atomisp: Remove driver")
> 
> from the v4l-dvb tree and commit:
> 
>   1bd421154821 ("staging: atomisp: Augment TODO file with GPIO work item")
> 
> from the staging tree.
> 
> I fixed it up (I just removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 

Hi Stephen,

What do you use in order to check it? Maybe we could have some git
hook running such check, in order to prevent merging patches without
the right SOBs.

Thanks,
Mauro